  <!DOCTYPE html>
  <html>
  <head>
    <meta charset="UTF-8">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <meta http-equiv="X-UA-Compatible" content="ie=edge">
    <title>Formulario</title>
    <link rel="stylesheet" href="https://maxcdn.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css">
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jquery/2.1.4/jquery.min.js"></script>
    <script src="https://cdnjs.cloudflare.com/ajax/libs/jqueryui/1.11.4/jquery-ui.min.js"></script>
    <script src="./formBuilder/dist/form-builder.min.js"></script>
    <script src="./formBuilder/dist/form-render.min.js"></script>
    <link rel="stylesheet" href="css/styles.css">
    <script defer type="text/javascript" src="js/scripts.js"></script>
  </head>
  <body>
    <header>
      <nav class="navbar navbar-expand-sm bg-light">
        <ul class="navbar-nav">
          <li class="nav-item">
            <a class="nav-link" href="javascript:mudarPagina(0)">Login</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="javascript:mudarPagina(1)">Cadastrar Template</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="javascript:mudarPagina(2)">Novo Formulario</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="javascript:mudarPagina(3)">Criar Template</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="javascript:mudarPagina(4)">Mostrar Formulario</a>
          </li>
          <li class="nav-item">
            <a class="nav-link" href="javascript:consultaForm()">Consulta Formulario</a>
          </li>
        </ul>
      </nav>
    </header>
    <section class="pagina login ativa">
      <div class="row">
        <div class="col"></div>
        <div class="col">
          <p>Funcional:</p>
          <input type="text" id="strfuncional" name="funcional" placeholder="Digite a funcional: ">
        </div>
        <div class="col"></div>
      </div>
      <div class="row">
        <div class="col"></div>
        <div class="col">
          <p>Senha:</p>
          <input type="password" id="pass" name="senha" placeholder="Senha: ">
        </div>
        <div class="col"></div>
      </div>
      <div class="row">
        <div class="col"></div>
        <div class="col">
          <button type="button">Login</button>
        </div>
        <div class="col"></div>
      </div>
    </section>
    
    <section class="cadtemplate pagina">
      <h2>Cadastrar Template de Formulario</h2>
      <div class="container">
        <select id="lstSegmentos">
          <option value="IBBA">IBBA</option>    
          <option value="EMP1">EMP 1</option>
          <option value="EMP2">EMP 2</option>
          <option value="EMP3">EMP 3</option>
          <option value="EMP4">EMP 4</option>
        </select>
        <input type="text" id="ramo" placeholder="Digite o ramo: ">
        <br>
        <button type="button" onClick="listTemplates()">Cadastrar</button>
      </div>
      
    </section>
    
    <section class="cadformulario pagina">
      <h2>Preencher Formulario</h2>
      <div class="container">
        <div class="row">
          <div class="col"></div>
          <div class="col">CNPJ:<input type="text" id="codCNPJ" placeholder="Digite o CNPJ: "></div>
          <div class="col"></div>
        </div>
        <div class="row">
          <div class="col"></div>
          <div class="col">
            <button type="button">Cadastrar</button>
            <button type="button" onClick="buscaForm()">Consultar</button>
          </div>
          <div class="col"></div>
        </div>  
        <div class="row">
          <div class="col"></div>
          <div class="col"></div>
          <div class="col"></div>
        </div>     
      </div>
    </div>
  </section>

  <section class="editortemplate pagina">
    <script>
      var options = {
        i18n: {
          locale: 'pt-BR'
        },
        disableFields: ['autocomplete', 'hidden', 'file', 'button']
      };
      jQuery(function ($) {
        var formBuilder = $(document.getElementById('fb-editor')).formBuilder(options);
      });
    </script>
    <h2>Preencher Formulario</h2>
    <div id="fb-editor"></div>  
    <br>
    <button type="button" onClick="enviarTemplate()">Enviar Template</button>
  </section>

  <section class="visuform pagina">
<!--     <script>
      jQuery(function($) {
        var fbRender = document.getElementById('fb-render'),
        //a = '[{"type":"header","subtype":"h1","label":"Header"},{"type":"paragraph","subtype":"p","label":"Paragraph"},{"type":"checkbox-group","label":"Checkbox Group","name":"checkbox-group-1524750284452","values":[{"label":"Option 1","value":"option-1","selected":true},{"label":"Option 2","value":"option-2","selected":true}]},{"type":"text","label":"Text Field","className":"form-control","name":"text-1524750290876","subtype":"text"},{"type":"select","label":"Select","className":"form-control","name":"select-1524750287390","values":[{"label":"Option 1","value":"option-1","selected":true},{"label":"Option 2","value":"option-2"},{"label":"Option 3","value":"option-3"}]},{"type":"textarea","label":"Text Area","className":"form-control","name":"textarea-1524750292724","subtype":"textarea"}]';
        a = '[{"type": "header", "label": "Header", "subtype": "H1"}, {"type": "paragraph", "label": "Paragraph", "subtype": "P"}, {"name": "checkbox-group-1524750284452", "type": "checkbox-group", "label": "Checkbox Group", "values": [{"label": "Option 1", "value": "option-1", "selected": true}, {"label": "Option 2", "value": "option-2", "selected": true}], "className": "checkbox-group"}, {"name": "select-1524750287390", "type": "select", "label": "Select", "values": [{"label": "Option 1", "value": "option-1", "selected": true}, {"label": "Option 2", "value": "option-2"}, {"label": "Option 3", "value": "option-3"}], "className": "form-control"}]';
        let  formData = JSON.parse(a)
        var formRenderOpts = {
          i18n: {locale: 'pt-BR'},
          formData,
          dataType: 'json'
        };
        
        $(fbRender).formRender(formRenderOpts);
        alert($(fbRender).html());
        // $('.rendered-form input').attr('readonly', 'readonly');
        //$('.rendered-form *[id*=select]').attr('readonly', 'readonly');
      });
    </script> -->
    
    <div class="container">
      <div id="fb-render"></div>
    </div>
    <button type="button" onClick="enviarForm()">Cadastrar</button>
  </section>


  <section class="listatemplates pagina">        
    <div class="container">
      <h3>Lista de Templates</h3>
      <p>Templates:</p>            
      <table class="table table-striped" id="tabela">
        <thead>
          <tr>
            <th>Segmento</th>
            <th>Ramo Atividade</th>
            <th>Data da Criacao</th>
            <th>Data da Vigencia</th>
            <th>Autor</th>
          </tr>
        </thead>
        <tbody class="listaTemplate">

        </tbody>
      </table>
    </div>
</section>
<section class="consulta pagina">
      
      <div class="container">
        <div id="fb-render2"></div>
      </div>
      <button type="button" onClick="enviarForm()">Cadastrar</button>
    </section>
  </body>
  </html>